#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_ActivityKillCrabLotteryCFGData
{
	//ID,1普通攻击， 2超级攻击
	int mID;
	//消耗大宝剑数量
	int mCostItemCount;
	//奖励道具列表
	std::vector<int> mAwardItemIDs;
	//奖励数量
	std::vector<int> mAwardItemCounts;
	//奖励权重
	std::vector<int> mAwardWeight;
	//伤害下限
	int mHarmValueMin;
	//伤害上限
	int mHarmValueMax;
	//显示标签
	std::vector<int> mDisplayLabel;
	//用于客户端显示奖励道具
	std::vector<int> mShowAwardItemIDs;
	//显示奖励道具数量
	std::vector<int> mShowAwardItemCounts;
	//显示Icon
	std::string mDisplayICON;
};

class Fish_ActivityKillCrabLotteryCFG
{
public:
private:
	static std::auto_ptr<Fish_ActivityKillCrabLotteryCFG> msSingleton;
public:
	int GetCount();
	const Fish_ActivityKillCrabLotteryCFGData* GetData(int ID);
	boost::unordered_map<int, Fish_ActivityKillCrabLotteryCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_ActivityKillCrabLotteryCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_ActivityKillCrabLotteryCFGData> mMapData;
};
